package p04_instrukcje;

import java.util.Scanner;

public class TabliczkaMnozeniaCustom {
	public static void main(String[] args) {
		Scanner scanner = new Scanner(System.in);

		System.out.print("Podaj liczbę wierszy: ");
		final int W = scanner.nextInt();
		System.out.print("Podaj liczbę kolumn: ");
		final int K = scanner.nextInt();
		// ustalamy długość tekstowej reprezentacji liczby i dodajemy jeszcze 1 
		final int szer = String.valueOf(W*K).length() + 1;
		// taki wzorzec formatu ma być przekazany do printf.
		// lepiej utworzyć go tutaj jeden raz, a nie za każdym razem w pętli
		final String format = "%" + szer + "d";
		
		for(int w = 1; w <= W; w++) {
			for(int k = 1; k <= K; k++) {
				System.out.printf(format, w*k);
			}
			System.out.println();
		}
	}
}

